<template>
  <div id="app">
    <v-app light>
      <v-toolbar color="black">
        <v-toolbar-title v-text="`Interveção - Espaço de Arquitetura`"></v-toolbar-title>
        <v-spacer></v-spacer>

        <v-toolbar-items>
          <v-btn text href="#works">O QUE FAZEMOS</v-btn>
          <v-btn text href="#projects">PROJETOS</v-btn>
          <v-btn text href="#contact">CONTATO</v-btn>
          <v-btn text href="#about">QUEM SOMOS</v-btn>
        </v-toolbar-items>
      </v-toolbar>
      <v-content>
        <section>
          <v-parallax class="pa-0" src="@/assets/images/arq.jpg" height="auto" width="100%">
            <v-layout column align-center justify-center class="white--text">
              <img class="image" src="@/assets/images/arq.jpg" alt="Vuetify.js" height="200" />
              <h1
                class="white--text mt-4 mb-2 display-1 text-center"
              >INTERVENÇÃO - ESPAÇO DE ARQUITETURA</h1>
              <div class="subheading mb-4 text-center">Oferecemos todos os serviços seu projeto</div>
            </v-layout>
          </v-parallax>
        </section>

        <section id="works">
          <v-layout column wrap class="my-12" align-center>
            <v-flex xs12 sm4 class="my-4">
              <div class="text-center">
                <h2 class="headline">NOSSOS SERVIÇOS</h2>
                <span class="subheading">Caso tenha ficado com dúvidas, entre em contato</span>
              </div>
            </v-flex>
            <v-flex xs12>
              <v-container grid-list-xl>
                <v-layout row wrap align-center>
                  <v-flex xs12 md3>
                    <v-card flat class="transparent">
                      <v-card-text class="text-center">
                        <v-icon x-large class="blue--text text--lighten-2">mdi-palette</v-icon>
                      </v-card-text>
                      <v-card-title primary-title class="layout justify-center">
                        <div class="headline text-center">Residenciais e comerciais</div>
                      </v-card-title>
                      <v-card-text>
                        Orientação técnica nas decisões antes e durante a
                        execução. Acompanhamento de obra durante toda
                        execução
                      </v-card-text>
                    </v-card>
                  </v-flex>
                  <v-flex xs12 md3>
                    <v-card flat class="transparent">
                      <v-card-text class="text-center">
                        <v-icon x-large class="blue--text text--lighten-2">mdi-flash</v-icon>
                      </v-card-text>
                      <v-card-title primary-title class="layout justify-center">
                        <div class="headline">Projetos de Interiores</div>
                      </v-card-title>
                      <v-card-text>
                        Orientação técnica nas decisões antes e durante a
                        execução. Acompanhamento de obra durante toda
                        execução
                      </v-card-text>
                    </v-card>
                  </v-flex>
                  <v-flex xs12 md3>
                    <v-card flat class="transparent">
                      <v-card-text class="text-center">
                        <v-icon x-large class="blue--text text--lighten-2">mdi-wrench</v-icon>
                      </v-card-text>
                      <v-card-title primary-title class="layout justify-center">
                        <div class="headline text-center">Orientações e Acampanhamentos</div>
                      </v-card-title>
                      <v-card-text>
                        Orientação técnica nas decisões antes e durante a
                        execução. Acompanhamento de obra durante toda
                        execução
                      </v-card-text>
                    </v-card>
                  </v-flex>
                  <v-flex xs12 md3>
                    <v-card flat class="transparent">
                      <v-card-text class="text-center">
                        <v-icon x-large class="blue--text text--lighten-2">mdi-wrench</v-icon>
                      </v-card-text>
                      <v-card-title primary-title class="layout justify-center">
                        <div class="headline text-center">Arquitetônico e Complementares</div>
                      </v-card-title>
                      <v-card-text>
                        Orientação técnica nas decisões antes e durante a
                        execução. Acompanhamento de obra durante toda
                        execução
                      </v-card-text>
                    </v-card>
                  </v-flex>
                </v-layout>
              </v-container>
            </v-flex>
          </v-layout>
        </section>

        <v-divider class="my-8" />

        <section id="projects">
          <v-row>
            <v-flex xs12 class="my-4">
              <div class="text-center">
                <h2 class="headline">PROJETOS</h2>
              </div>
            </v-flex>
            <v-col cols="4" xl="4" lg="4" v-for="project in projects" :key="project.description">
              <v-card class="mx-auto" max-width="400" v-if="project.post">
                <v-img
                  class="white--text align-end"
                  height="200px"
                  src="https://cdn.vuetifyjs.com/images/cards/docks.jpg"
                >
                  <v-card-title>{{ project.description }}</v-card-title>
                </v-img>

                <v-card-subtitle class="pb-0">
                  {{
                  project.category
                  }}
                </v-card-subtitle>

                <v-card-text class="text--primary">
                  <div>Whitehaven Beach</div>
                  <div>Whitsunday Island, Whitsunday Islands</div>
                </v-card-text>

                <v-card-actions>
                  <v-btn color="orange" text>Visualizar</v-btn>
                </v-card-actions>
              </v-card>
            </v-col>
          </v-row>
        </section>

        <v-divider class="my-8" />

        <section id="contact">
          <v-parallax src="@/assets/images/section.jpg" height="380">
            <v-layout column align-center justify-center>
              <div class="headline white--text mb-4 text-center">CONTATO</div>

              <v-form>
                <v-container>
                  <v-row style="justify-content: center">
                    <v-col cols="12" md="4">
                      <v-text-field label="Nome completo" v-model="contact.name" required></v-text-field>
                    </v-col>

                    <v-col cols="12" md="4">
                      <v-text-field label="E-mail" v-model="contact.email" required></v-text-field>
                    </v-col>

                    <v-col cols="12" md="4">
                      <v-text-field label="Telefone" v-model="contact.phone" required></v-text-field>
                    </v-col>

                    <v-col cols="12" md="6">
                      <v-textarea
                        name="input-7-1"
                        v-model="contact.message"
                        label="Mensagem"
                        value
                        hint="Hint text"
                      ></v-textarea>
                    </v-col>
                  </v-row>
                  <v-row style="justify-content: center">
                    <v-btn depressed color="blue lighten-2" @click="enviar()">ENVIAR</v-btn>
                  </v-row>
                </v-container>
              </v-form>
            </v-layout>
          </v-parallax>
        </section>

        <v-divider class="my-8" />

        <section id="about">
          <v-container grid-list-xl>
            <v-layout row wrap justify-center class="my-12">
              <v-flex xs12 sm4>
                <v-card flat class="transparent">
                  <v-card-title primary-title class="layout justify-center">
                    <div class="headline">Sobre nós</div>
                  </v-card-title>
                  <v-card-text>
                    A Intervenção é uma empresa de Arquitetura e Urbanismo com
                    mais de 06 anos de atuação no mercado. Transformamos seu
                    espaço em um ambiente acolhedor, com o melhor aproveitamento
                    para atender suas expectativas e necessidades.
                  </v-card-text>
                </v-card>
              </v-flex>
              <v-flex xs12 sm4 offset-sm1>
                <v-card flat class="transparent">
                  <v-card-title primary-title class="layout justify-center">
                    <div class="headline">Informações</div>
                  </v-card-title>
                  <v-card-text>
                    Entre em contato ou nos visite, teremos maior prazo em
                    atende-los e conversar sobre seus sonhos. Você sonha nós
                    realizamos.
                  </v-card-text>
                  <v-list class="transparent">
                    <v-list-item>
                      <v-list-item-action>
                        <v-icon class="blue--text text--lighten-2">mdi-phone</v-icon>
                      </v-list-item-action>
                      <v-list-item-content>
                        <v-list-item-title>(53) 3027-1405</v-list-item-title>
                      </v-list-item-content>
                    </v-list-item>
                    <v-list-item>
                      <v-list-item-action>
                        <v-icon class="blue--text text--lighten-2">mdi-map-marker</v-icon>
                      </v-list-item-action>
                      <v-list-item-content>
                        <v-list-item-title>
                          Rua Dom Pedro II, 1098-A, Centro -
                          Pelotas/RS
                        </v-list-item-title>
                      </v-list-item-content>
                    </v-list-item>
                    <v-list-item>
                      <v-list-item-action>
                        <v-icon class="blue--text text--lighten-2">mdi-email</v-icon>
                      </v-list-item-action>
                      <v-list-item-content>
                        <v-list-item-title>in_tervencao@hotmail.com</v-list-item-title>
                      </v-list-item-content>
                    </v-list-item>
                  </v-list>
                </v-card>
              </v-flex>
            </v-layout>
          </v-container>
        </section>

        <v-footer color="blue darken-2">
          <v-layout row wrap align-center>
            <v-flex xs12>
              <div class="white--text ml-4">
                Template do
                <a
                  class="white--text"
                  href="https://vuetifyjs.com"
                  target="_blank"
                >Vuetify</a>, editado por Christopher Pottes
              </div>
            </v-flex>
          </v-layout>
        </v-footer>
      </v-content>
    </v-app>
  </div>
</template>

<script>
import axios from "axios";

export default {
  data: () => ({
    projects: [],
    contact: {
      name: "",
      phone: "",
      email: "",
      message: ""
    },
    colors: ["primary", "secondary", "yellow darken-2", "red", "orange"]
  }),
  mounted() {
    return axios
      .get("https://young-forest-65938.herokuapp.com/api/v1/projects")
      .then(response => {
        var resp = response.data;
        this.projects = resp.data;
        console.log(resp);
        console.log("teste");
        console.log(this.projects);
      });
  },
  methods: {
    enviar() {
      console.log("criar novo");
      console.log(this.contact);
      axios
        .post("https://young-forest-65938.herokuapp.com/api/v1/contacts", {
          name: this.contact.name,
          phone: this.contact.phone,
          email: this.contact.email,
          message: this.contact.message
        })
        .then(function(response) {
          console.log(this.contact);
        })
        .catch(function(error) {
          console.log(error);
        });
      alert("Mensagem enviada com sucesso!");
      this.contact = "";
    }
  }
};
</script>

<style>
.v-parallax__content {
  padding: 0 !important;
}
.image {
  width: 100%;
  height: 700px;
}

@media (min-width: 1264px) {
  .container {
    max-width: 90% !important;
  }
}
</style>
